Bot Hooks
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of user's bot webhooks
GET /api/v2/webhook/bot HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of user's bot webhooks
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the bot hook max 255 characters
My bot hookThe description of the bot hook max 255 characters
My bot hook descriptionSet it true if want to set hash key
falseThe key of the bot hook
23n9c22c2vjk2cjn2opv8l2vhiBot webhook created successfully
Missing required fields, invalid password, or webhook limit reached
Webhook limit reached
Package not found
POST /api/v2/webhook/bot HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 118
{
"name": "My bot hook",
"description": "My bot hook description",
"is_safe": false,
"hash_key": "23n9c22c2vjk2cjn2opv8l2vhi"
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Bot webhook details
Missing webhook id
Bot webhook not found
GET /api/v2/webhook/bot/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the bot hook max 255 characters
My bot hookThe description of the bot hook max 255 characters
My bot hook descriptionSet it true if want to set hash key
falseThe key of the bot hook
23n9c22c2vjk2cjn2opv8l2vhiBot webhook updated successfully
SuccessMissing webhook id or invalid password
Webhook not found
PUT /api/v2/webhook/bot/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 118
{
"name": "My bot hook",
"description": "My bot hook description",
"is_safe": false,
"hash_key": "23n9c22c2vjk2cjn2opv8l2vhi"
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Bot webhook deleted successfully
DeletedMissing webhook id
Webhook not found
Webhook is in use by bots or strategies
DELETE /api/v2/webhook/bot/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
DeletedYour public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of webhook shares
Missing webhook id
GET /api/v2/webhook/bot/{id}/shares HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The user id of the user to share the webhook with
23n9c22c2vjk2cjn2opv8l2vhiWebhook shared successfully
Missing webhook/user id, invalid permission, or not friends
Webhook not found
POST /api/v2/webhook/bot/share/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 39
{
"userId": "23n9c22c2vjk2cjn2opv8l2vhi"
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
User ID to unshare with
Share removed successfully
SuccessMissing webhook/user id or not friends
Webhook not found
DELETE /api/v2/webhook/bot/share/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17
{
"userId": "text"
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Paginated CEX signal bots
Missing webhook id, page, or limit
GET /api/v2/webhook/bot/bot/signal/{id}/cex?page=1&limit=1 HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Paginated DEX signal bots
Missing webhook id, page, or limit
GET /api/v2/webhook/bot/bot/signal/{id}/dex?page=1&limit=1 HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
ACTIVEPossible values: Status updated successfully
SuccessMissing webhook id, invalid status, or status already set
Webhook limit reached
Webhook or package not found
PUT /api/v2/webhook/bot/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"status": "ACTIVE"
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of shared webhooks accessible to user
GET /api/v2/webhook/bot/shared HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of shared webhooks accessible to user
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
User ID to get webhooks shared with
List of webhooks shared with specified user
Missing user id
Friendship not found
GET /api/v2/webhook/bot/shared/with/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
User ID to get webhooks shared by
List of webhooks shared by specified user
Missing user id
Friendship not found
GET /api/v2/webhook/bot/shared/by/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[]Last updated